Bug 799274 - No error message for incorrect errata when creating a new Test Run
No error message for incorrect errata when creating a new Test Run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.6
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
:
: 805426 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 05:53 EST by Patrik Kis
Modified: 2016-06-23 00:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2012-03-02 05:53:26 EST
Description of problem:
When a new Test Run is created from Test Plan or by cloning and the Errata field is incorrectly filled (e.g. by a mess) the new Test Plan is not created but no error message is displayed.
Note, that this not the case when an existing Test Plan is updated; then the an error message is displayed on the bottom of the page.

Version-Release number of selected component (if applicable):
Nitrate 3.6.3

How reproducible:


Steps to Reproduce:
1. Select a Test Run
2. Check all Test Cases
3. Click on Clone
4. Fill the Errata field with mess (e.g. dwufri)
5. Click Save
  
Actual results:
Nothing happen. The page is reloaded but error or hint is displayed.

Expected results:
An error message is displayed just like in case a Test Plan is updated through:
Home >> Test Runs >> xxxx: Test run >>Edit
Comment 1 jianchen 2012-06-29 03:00:29 EDT
*** Bug 805426 has been marked as a duplicate of this bug. ***
Comment 2 Zheng Liu 2012-07-02 23:26:08 EDT
This bug has been fixed. Please verify in Version 3.8.0
Comment 3 xubai 2012-07-25 23:37:17 EDT
Verify 3.8.0-1 on stage --> PASS

Verify steps:
1. Select a Test Run
2. Check all Test Cases
3. Click on Clone
4. Fill the Errata field with mess (e.g. dwufri)
5. Click Save

Actual results:
A warning shows under the Errata: Enter a whole number.

Note You need to log in before you can comment on or make changes to this bug.